[ FAILED ] TestClientInput.reestablishes_num_lock_state_in_client_with_surface_keymap

Bug #1663122 reported by Daniel van Vugt on 2017-02-09
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Mir
Triaged
Medium
Andreas Pokorny
mir (Ubuntu)
Medium
Unassigned

Bug Description

A new test introduced 2 days ago is failing in CI:

18:24:52 9: [ RUN ] TestClientInput.reestablishes_num_lock_state_in_client_with_surface_keymap
18:24:52 9: [2017-02-08 18:24:52.803121] mirserver: Starting
18:24:52 9: [2017-02-08 18:24:52.806769] mirserver: Selected driver: mir:stub-graphics (version 0.27.0)
18:24:52 9: [2017-02-08 18:24:52.827492] mirserver: Using software cursor
18:24:53 9: [2017-02-08 18:24:53.017745] mirserver: Selected input driver: mir:stub-input (version: 0.27.0)
18:24:53 9: [2017-02-08 18:24:53.035115] mirserver: Mir version 0.27.0
18:24:53 9: [2017-02-08 18:24:53.178086] mirserver: Initial display configuration:
18:24:53 9: [2017-02-08 18:24:53.178392] mirserver: Output 1: VGA connected, used
18:24:53 9: [2017-02-08 18:24:53.178593] mirserver: Physical size 0.0" 0x0mm
18:24:53 9: [2017-02-08 18:24:53.178749] mirserver: Power is on
18:24:53 9: [2017-02-08 18:24:53.178940] mirserver: Current mode 1000x800 60.00Hz
18:24:53 9: [2017-02-08 18:24:53.179122] mirserver: Preferred mode 1000x800 60.00Hz
18:24:53 9: [2017-02-08 18:24:53.179542] mirserver: Orientation normal
18:24:53 9: [2017-02-08 18:24:53.179748] mirserver: Logical size 1000x800
18:24:53 9: [2017-02-08 18:24:53.179915] mirserver: Logical position +0+0
18:24:53 9: [2017-02-08 18:24:53.180070] mirserver: Scaling factor: 1.00
18:24:53 9: unknown file: Failure
18:24:53 9:
18:24:53 9: Unexpected mock function call - returning directly.
18:24:53 9: Function call: handle_input_device_state(input_device_state(ts=2341649210736018, mod=none, btns=0, x=0, y=0 [3 btns=0 pressed=(), 2 btns=0 pressed=(), 1 btns=0 pressed=()])
18:24:53 9: Google Mock tried the following 1 expectation, but it didn't match:
18:24:53 9:
18:24:53 9: /<<BUILDDIR>>/mir-0.26.0+zesty3993bzr4018/tests/acceptance-tests/test_client_input.cpp:1049: EXPECT_CALL(a_client_with_keymap, handle_input_device_state( mt::DeviceStateWithPressedKeys(std::vector<uint32_t>{69, 69})))...
18:24:53 9: Expected arg #0: device state with pressed keys { 69, 69 }
18:24:53 9: Actual: input_device_state(ts=2341649210736018, mod=none, btns=0, x=0, y=0 [3 btns=0 pressed=(), 2 btns=0 pressed=(), 1 btns=0 pressed=()]
18:24:53 9: Expected: to be called once
18:24:53 9: Actual: never called - unsatisfied and active
18:24:54 9:
18:24:54 9: GMOCK WARNING:
18:24:54 9: Uninteresting mock function call - returning directly.
18:24:54 9: Function call: handle_input_device_state(input_device_state(ts=2341650020766521, mod=none, btns=0, x=0, y=0 [3 btns=0 pressed=(), 2 btns=0 pressed=(), 1 btns=0 pressed=()])
18:24:54 9: NOTE: You can safely ignore the above warning unless this call should not happen. Do not suppress it by blindly adding an EXPECT_CALL() if you don't mean to enforce the call. See https://github.com/google/googletest/blob/master/googlemock/docs/CookBook.md#knowing-when-to-expect for details.
18:24:54 9: [2017-02-08 18:24:54.695192] mirserver: Stopping
18:24:54 9: [ FAILED ] TestClientInput.reestablishes_num_lock_state_in_client_with_surface_keymap (1947 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=clang,platform=mesa,release=zesty/3944/consoleFull

Daniel van Vugt (vanvugt) wrote :

The test was introduced in:

------------------------------------------------------------
revno: 4016 [merge]
author: Andreas Pokorny <email address hidden>
committer: Tarmac
branch nick: development-branch
timestamp: Tue 2017-02-07 11:24:22 +0000
message:
  Fix behavior of numlock and related modifier keys (LP: #1588237)

  Corrects the tracking of modifiers that can be toggled. The input device state event now transfers the state of the toggled modifiers via double entries in the scan code array. Finally this change adds some missing wiring to forward the input device state event to the client side XkbMapper. Fixes: https://bugs.launchpad.net/bugs/1588237.

  Approved by Alexandros Frantzis, mir-ci-bot.
------------------------------------------------------------

tags: added: input
Changed in mir:
status: New → Confirmed
Changed in mir:
assignee: nobody → Andreas Pokorny (andreas-pokorny)
Changed in mir:
status: Confirmed → In Progress
milestone: none → 1.0.0
importance: Undecided → Medium
Changed in mir:
milestone: 0.27.0 → 0.28.0
Changed in mir:
milestone: 0.28.0 → none
status: In Progress → Triaged
Michał Sawicz (saviq) wrote :

Syncing task from Mir.

Changed in mir (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers